function regBindings() {
  // I2C Speed Command Percentage
  gc.databind.registry.bind('widget.ti_mdbu_custom_slider_component.value',
    "my_model.SYS_VAR2.SPEED_CTRL",
    function (value) {
      return (value / 8191 * 100);
    },
    function (value) {
      return (value / 100 * 8191).toFixed();
    }
  );

  var csa_gain_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component9');

  // VDS OCP Treshold (A)
  gc.databind.registry.bind('widget.ti_mdbu_custom_readable_component3.value',
    {
      vds_ocp_index: 'my_model.GD_CONFIG2.VDS_LVL',
      csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
      shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
    },
    function (value) {
      // var vds_ocp_arr = [0.06, 0.13, 0.2, 0.26, 0.31, 0.45, 0.53, 0.6, 0.68, 0.75, 0.94, 1.13, 1.3, 1.5, 1.7, 1.88];
      var vds_ocp_arr = getDroplistValues('ti_fault_configure_mdbu_custom_dropdown_component64');
      var vds_ocp = vds_ocp_arr[value.vds_ocp_index];
      var csa_gain = csa_gain_arr[value.csa_gain_index];
      var shunt_value = value.shunt_value;
      return (vds_ocp/(csa_gain*shunt_value)).toFixed(3);
    }
  );

  // Cycle by Cycle Current limit Threshold (A)
  gc.databind.registry.bind('widget.ti_mdbu_custom_readable_component4.value',
    {
      ilimit_thr_index: 'my_model.FAULT_CONFIG1.ILIMIT',
      csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
      shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
    },
    function (value) {
      // var ilimit_arr = [0, 0.2, 0.4, 0.6, 0.8, 1, 1.2, 1.4, 1.6, 1.8, 2, 2.2, 2.4, 2.6, 2.8, 3];
      var ilimit_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component129');
      var ilimit = ilimit_arr[value.ilimit_thr_index];
      var csa_gain = csa_gain_arr[value.csa_gain_index];
      var shunt_value = value.shunt_value;
      return (ilimit/(csa_gain*shunt_value)).toFixed(3);
    }
  );

  // Current sense OCP threshold (A)
  gc.databind.registry.bind('widget.ti_mdbu_custom_numberbox_component11.value',
    {
      ocp_thr_index: 'my_model.GD_CONFIG2.SEN_LVL',
      csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
      shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
    },
    function (value) {
      // var ocp_thr_arr = [0.25, 0.5, 0.75, 1];
      var ocp_thr_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component48');
      var ocp_thr = ocp_thr_arr[value.ocp_thr_index];
      var csa_gain = csa_gain_arr[value.csa_gain_index];
      var shunt_value = value.shunt_value;
      return (ocp_thr/(csa_gain*shunt_value)).toFixed(3);
    }
  );

  // Brake current threshold (A)
  gc.databind.registry.bind('widget.ti_mdbu_custom_readable_component.value',
    {
      brk_curr_thr_index: 'my_model.ISD_CONFIG.BRK_CURR_THR',
      csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
      shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
    },
    function (value) {
      // var brk_curr_thr_arr = [10, 20, 30, 50, 100, 200, 500, 1000];
      var brk_curr_thr_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component112');
      var brk_curr_thr = brk_curr_thr_arr[value.brk_curr_thr_index];
      var csa_gain = csa_gain_arr[value.csa_gain_index];
      var shunt_value = value.shunt_value;
      return (brk_curr_thr/(csa_gain*shunt_value)).toFixed(3);
    }
  );

  // Align and Open Loop Current Limit Value(A)
  gc.databind.registry.bind('widget.ti_mdbu_custom_numberbox_component12.value',
    {
      curr_sens_amp_mode: 'my_model.GD_CONFIG2.VREF_DIV',
      align_opn_loop_ilimit_src_slct: 'my_model.MOTOR_STARTUP2.OL_ILIMIT_CONFIG',
      align_opn_loop_ilimit_index: 'my_model.MOTOR_STARTUP2.OL_ILIMIT',
      ilimit_thr_index: 'my_model.FAULT_CONFIG1.ILIMIT',
      csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
      shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
    },
    function (value) {
      if(value.curr_sens_amp_mode == value.align_opn_loop_ilimit_src_slct) {
        // var align_opn_loop_ilimit_arr = [0, 0.2, 0.4, 0.6, 0.8, 1, 1.2, 1.4, 1.6, 1.8, 2, 2.2, 2.4, 2.6, 2.8, 3];
        var align_opn_loop_ilimit_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component111');
        var dependant_value = align_opn_loop_ilimit_arr[value.align_opn_loop_ilimit_index];
      } else {
        // var ilimit_arr = [0, 0.2, 0.4, 0.6, 0.8, 1, 1.2, 1.4, 1.6, 1.8, 2, 2.2, 2.4, 2.6, 2.8, 3];
        var ilimit_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component129');
        var dependant_value = ilimit_arr[value.ilimit_thr_index];
      }
      var csa_gain = csa_gain_arr[value.csa_gain_index];
      var shunt_value = value.shunt_value;
      return (dependant_value/(csa_gain*shunt_value)).toFixed(3);
    }
  );

  // IPD Current Threshold (A)
  gc.databind.registry.bind('widget.ti_mdbu_custom_numberbox_component4.value',
    {
      curr_sens_amp_mode: 'my_model.GD_CONFIG2.VREF_DIV',
      ocp_thr_index: 'my_model.GD_CONFIG2.SEN_LVL',
      ipd_curr_thr_index: 'my_model.MOTOR_STARTUP1.IPD_CURR_THR',
      csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
      shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
    },
    function (value) {
      if(value.curr_sens_amp_mode == 1) {
        // var ocp_thr_arr = [0.25, 0.5, 0.75, 1];
        var ocp_thr_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component48');
        var dependant_value = ocp_thr_arr[value.ocp_thr_index];
      } else {
        // var ipd_curr_thr_arr = [0, 0.2, 0.4, 0.6, 0.8, 1, 1.2, 1.4, 1.6, 1.8, 2, 2.2, 2.4, 2.6, 2.8, 3];
        var ipd_curr_thr_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component15');
        var dependant_value = ipd_curr_thr_arr[value.ipd_curr_thr_index];
      }
      var csa_gain = csa_gain_arr[value.csa_gain_index];
      var shunt_value = value.shunt_value;
      return (dependant_value/(csa_gain*shunt_value)).toFixed(3);
    }
  );

}

function getDroplistValues(droplistId) {
  var patt = /[+-]?\d+(\.\d+)?/g;
  if(document.querySelector('#' + droplistId)) {
    return document.querySelector('#' + droplistId).droplistLabels
            .split('|')
            .map((item, index)=>{
              return item.match(patt) ? item.match(patt)[0] : index;
            });
  }
  return null;
}